Bug 1435378 - split-stack: deployment error for initiatorname.iscsi config
Summary: split-stack: deployment error for initiatorname.iscsi config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-23 16:20 UTC by Dan Macpherson
Modified: 2017-05-17 20:13 UTC (History)
8 users (show)

Fixed In Version: puppet-tripleo-6.3.0-5.el7ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:13:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 449964 None None None 2017-03-27 14:52:58 UTC
Launchpad 1675462 None None None 2017-03-23 16:28:51 UTC

Description Dan Macpherson 2017-03-23 16:20:23 UTC
I was deploying a split stack overcloud. During step 4, I hit a puppet error for iscsi initiator config on the Compute node.

Here's the puppet error:

Error: /bin/echo InitiatorName=$(/usr/sbin/iscsi-iname) > /etc/iscsi/initiatorname.iscsi returned 1 instead of one of [0]
Error: /Stage[main]/Tripleo::Profile::Base::Nova::Compute/Exec[reset-iscsi-initiator-name]/returns: change from notrun to 0 failed: /bin/echo InitiatorName=$(/usr/sbin/iscsi-iname) > /etc/iscsi/initiatorname.iscsi returned 1 instead of one of [0]

And journalctl grepping for iscsi-related entries:

Mar 23 15:16:22 compute.dansosp.net os-collect-config[1210]: Notice: /Stage[main]/Tripleo::Profile::Base::Nova::Compute/Exec[reset-iscsi-initiator-name]/returns: sh: /usr/sbin/iscsi-iname: No such file or directory
Mar 23 15:16:22 compute.dansosp.net os-collect-config[1210]: Notice: /Stage[main]/Tripleo::Profile::Base::Nova::Compute/Exec[reset-iscsi-initiator-name]/returns: sh: /etc/iscsi/initiatorname.iscsi: No such file or directory
Mar 23 15:16:22 compute.dansosp.net os-collect-config[1210]: Notice: /Stage[main]/Tripleo::Profile::Base::Nova::Compute/File[/etc/iscsi/.initiator_reset]: Dependency Exec[reset-iscsi-initiator-name] has failures: true
Mar 23 15:16:22 compute.dansosp.net os-collect-config[1210]: Error: /bin/echo InitiatorName=$(/usr/sbin/iscsi-iname) > /etc/iscsi/initiatorname.iscsi returned 1 instead of one of [0]
Mar 23 15:16:22 compute.dansosp.net os-collect-config[1210]: Error: /Stage[main]/Tripleo::Profile::Base::Nova::Compute/Exec[reset-iscsi-initiator-name]/returns: change from notrun to 0 failed: /bin/echo InitiatorName=$(/usr/sbin/iscsi-iname) > /etc/iscsi/initiatorname.iscsi returned 1 instead of one of [0]
Mar 23 15:16:22 compute.dansosp.net os-collect-config[1210]: Warning: /Stage[main]/Tripleo::Profile::Base::Nova::Compute/File[/etc/iscsi/.initiator_reset]: Skipping because of failed dependencies

I worked this issue by manually running "sudo /bin/echo InitiatorName=$(/usr/sbin/iscsi-iname) > /etc/iscsi/initiatorname.iscsi" on the compute node (which works) and then rerunning the deployment command.

From Alex Schultz:

This seems like an ordering thing where iscsi-initiator-utils is not
installed before we try and reset the name but eventually gets
installed which is why you were able to do it after the fact.  Could
you log a BZ and we can fix it?

Upstream bug is https://bugs.launchpad.net/tripleo/+bug/1675462 with
proposed fix https://review.openstack.org/449200

Comment 1 James Slagle 2017-03-27 11:40:55 UTC
this can be temporarily worked around by manually installing iscsi-initiator-utils on the deployed servers before the overcloud deployment

Comment 2 Jaromir Coufal 2017-03-30 03:38:29 UTC
Given the manual workaround - not a blocker. But let's try to make it in.

Comment 3 Dan Macpherson 2017-03-30 04:12:36 UTC
If that's the case, should I document the workaround? (I'm assuming yes, but want to check if this patch will make it into OSP11)

Comment 6 Gurenko Alex 2017-04-24 06:15:47 UTC
Verified on build 2017-04-20.2

[stack@undercloud-0 ~]$ rpm -q puppet-tripleo
puppet-tripleo-6.3.0-10.el7ost.noarch

Comment 7 errata-xmlrpc 2017-05-17 20:13:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.